Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware.addressbook
Class AddressInfo.AddressType

    java.lang.Object
      portlets.compoze.groupware.addressbook.AddressInfo.AddressType

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  AddressInfo

public static class AddressInfo.AddressType
extends java.lang.Object
implements java.io.Serializable

This class represents the address type of an address.

See Also:
  Serialized Form

Field Summary
`static AddressInfo.AddressType` | `BUSINESS` This value represents a 'business' address type.
`static AddressInfo.AddressType` | `HOME` This value represents a 'home' message type.
`static AddressInfo.AddressType` | `NONE` This value represents a 'none' address type.
`static AddressInfo.AddressType` | `OTHER` This value represents a 'other' address type.
`static int` | `VALUE_BUSINESS` This value represents the 'business' value.
`static int` | `VALUE_HOME` This value represents the 'home' value.
`static int` | `VALUE_NONE` This value represents the 'none' value.
`static int` | `VALUE_OTHER` This value represents the 'other' value.

Method Summary
`boolean` | `equals(java.lang.Object o)` Checks for equality.
`static AddressInfo.AddressType` | `get(int iValue)` Gets the address type by the value.
`static java.util.List` | `getAddressTypes()` Gets the list of address type objects.
`java.lang.String` | `getKey()` Gets the key (address name) for i18n.
`int` | `getValue()` Gets the value of the address type.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VALUE_HOME

    public static final int VALUE_HOME

  This value represents the 'home' value.

  See Also:
    Constant Field Values

### VALUE_BUSINESS

    public static final int VALUE_BUSINESS

  This value represents the 'business' value.

  See Also:
    Constant Field Values

### VALUE_OTHER

    public static final int VALUE_OTHER

  This value represents the 'other' value.

  See Also:
    Constant Field Values

### VALUE_NONE

    public static final int VALUE_NONE

  This value represents the 'none' value.

  See Also:
    Constant Field Values

### HOME

    public static final AddressInfo.AddressType HOME

  This value represents a 'home' message type.

### BUSINESS

    public static final AddressInfo.AddressType BUSINESS

  This value represents a 'business' address type.

### OTHER

    public static final AddressInfo.AddressType OTHER

  This value represents a 'other' address type.

### NONE

    public static final AddressInfo.AddressType NONE

  This value represents a 'none' address type.

Method Detail

### getKey

    public java.lang.String getKey()

  Gets the key (address name) for i18n.

  Returns:
    the key

### getValue

    public int getValue()

  Gets the value of the address type.

  Returns:
    the value (see `VALUE_` constants)

### get

    public static AddressInfo.AddressType get(int iValue)

  Gets the address type by the value.

  Parameters:
    `iValue` - the value to get by
  Returns:
    the matching address type or `null` if not found

### getAddressTypes

    public static java.util.List getAddressTypes()

  Gets the list of address type objects.

  Returns:
    the list of `AddressType` objects (unmodifiable)

### equals

    public boolean equals(java.lang.Object o)

  Checks for equality. The value is used to determine equality.

  Parameters:
    `o` - the object to check
  Returns:
    `true` if this object has the same value as the argument; `false` otherwise
  See Also:
    `getValue()`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.